REM Possible values for CWVERSION are 4.X, 4.1.X, 4.2. 4.2 needs to be
REM 4.2 needs to be set for both 4.2.0 and 4.2.1 releases. 
REM Change CWVERSION to 4.2.2 and WBIA.jar to be taken from lib/4.2.0 for 
REM CWVERSION setting of 4.2.
set CWVERSION="4.2.2"

REM Invoke CWSharedEnv.bat for post 4.2.2 release. This will set the
REM ORB_HOST,ORB_PORT and ORB_PROPERTY flags.
if %CWVERSION%=="4.2.2" call "%CROSSWORLDS%"\bin\CWSharedEnv

REM ORBCLASS for pre 4.3 releases.
if %CWVERSION%=="4.2" set ORBCLASS=com.inprise.vbroker.orb.ORB
if %CWVERSION%=="4.1.X" set ORBCLASS=com.inprise.vbroker.orb.ORB

REM Set ORB_PROPERTY for pre 4.2.2 releases.For 4.2.2, it is set in
REM CWSharedEnv.bat
if %CWVERSION%=="4.2" set ORB_PROPERTY=-Dorg.omg.CORBA.ORBClass=%ORBCLASS% -Dorg.omg.CORBA.ORBSingletonClass=%ORBCLASS%
if %CWVERSION%=="4.1.X" set ORB_PROPERTY=-Dorg.omg.CORBA.ORBClass=%ORBCLASS% -Dorg.omg.CORBA.ORBSingletonClass=%ORBCLASS%


REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%"\bin;%PATH%

set RT="%CROSSWORLDS%"\lib\rt.jar
set CWCLASSES="%CROSSWORLDS%"\lib\crossworlds.jar

if %CWVERSION%=="4.1.X" set MQ="%CROSSWORLDS%"\lib\mq.jar;"%CROSSWORLDS%"\MA88\Java\lib\properties.jar
if %CWVERSION%=="4.1.X" set MQ_LIB="%CROSSWORLDS%"\MA88\Java\lib

set ORB1="%CROSSWORLDS%"\lib\vbjorb.jar
set ORB2="%CROSSWORLDS%"\lib\vbjapp.jarc
set  DATAHANDLER=%CROSSWORLDS%\DataHandlers\CwDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CwXMLDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CwEDIDataHandler.jar

REM Set ODK dependencies
set ODK_LIB="%CROSSWORLDS%"\lib\CwODK.jar
set XML_LIB="%CROSSWORLDS%"\lib\xerces.jar
set ORION_LIB="%CROSSWORLDS%"\lib\cworion.jar

set SSLJ="%CROSSWORLDS%"\lib\sslj.jar
set CERTJ="%CROSSWORLDS%"\lib\certj.jar
set JSAFE="%CROSSWORLDS%"\lib\jsafe.jar

REM Use JAVA_PROPERTY from CWSharedEnv.bat for 4.2.2.

if %CWVERSION%=="4.1.X" set JAVA_SECURITY="%CROSSWORLDS%"\lib\ibmjcefw.jar;"%CROSSWORLDS%"\lib\ibmjceprovider.jar;"%CROSSWORLDS%"\lib\local_policy.jar;"%CROSSWORLDS%"\lib\US_export_policy.jar
if %CWVERSION%=="4.2" set JAVA_SECURITY="%CROSSWORLDS%"\lib\ibmjcefw.jar;"%CROSSWORLDS%"\lib\ibmjceprovider.jar;"%CROSSWORLDS%"\lib\local_policy.jar;"%CROSSWORLDS%"\lib\US_export_policy.jar



REM By default, use the  WBIA.jar under lib. This is the jar built with the most
REM recent WBIA adapter framework.
set WBIA="%CROSSWORLDS%"\lib\WBIA.jar
if %CWVERSION%=="4.1.X" set WBIA="%CROSSWORLDS%"\lib\WBIA\4.1.1\WBIA.jar
if %CWVERSION%=="4.2" set WBIA="%CROSSWORLDS%"\lib\WBIA\4.2.0\WBIA.jar

REM set CWJAVA for pre-4.2.2 releases.
if %CWVERSION%=="4.1.X" set CWJAVA="%CROSSWORLDS%\bin\java"
if %CWVERSION%=="4.2" set CWJAVA="%CROSSWORLDS%\bin\java"


REM Set JAVA variable to point to rt.jar for pre 4.2.2 releases.
if %CWVERSION%=="4.1.X" set JAVA="%CROSSWORLDS%"\lib\rt.jar
if %CWVERSION%=="4.2" set JAVA="%CROSSWORLDS%"\lib\rt.jar


set JCLASSES=.;%JAVA%;%CWCLASSES%;%MQ%;"%MQ_LIB%";"%CROSSWORLDS%"\connectors;%ORB1%;%ORB2%;%SSLJ%;%CERTJ%;%JSAFE%;%DATAHANDLER%;%WBIA%;%JAVA_SECURITY%;%ODK_LIB%;%XML_LIB%;%ORION_LIB%
